#ifndef _IGMP_H_
#define _IGMP_H_
/*
 * Internet Group Management Protocol (IGMP) definitions.
 *
 * Written by Steve Deering, Stanford, May 1988.
 *
 * MULTICAST 1.1
 */



/*
 * IGMP packet format.
 */
struct igmp {
        u_char          igmp_type;      /* version & type of IGMP message  */
        u_char          igmp_code;      /* unused, should be zero          */
        u_short         igmp_cksum;     /* IP-style checksum               */
        struct in_addr  igmp_group;     /* group address being reported    */
};                                      /*  (zero for queries)             */

#define IGMP_MINLEN                  8

#define IGMP_HOST_MEMBERSHIP_QUERY   0x11  /* message types, incl. version */
#define IGMP_HOST_MEMBERSHIP_REPORT  0x12
#define IGMP_DVMRP                   0x13  /* for experimental multicast   */
                                           /*  routing protocol            */

#define IGMP_MAX_HOST_REPORT_DELAY   10    /* max delay for response to    */
                                           /*  query (in seconds)          */
#endif
